Debian Bug report logs - #707981
ITP: libobject-accessor-perl -- interface to create per object accessors

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Sun, 12 May 2013 12:30:30 UTC

Owned by: Dominic Hargreaves <dom@earth.li>

Severity: wishlist

Fixed in version libobject-accessor-perl/0.46-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#707981; Package wnpp. (Sun, 12 May 2013 12:30:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Sun, 12 May 2013 12:30:34 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libobject-accessor-perl -- interface to create per object accessors
Date: Sun, 12 May 2013 13:24:03 +0100
Package: wnpp
Severity: wishlist
Owner: Dominic Hargreaves <dom@earth.li>

* Package name    : libobject-accessor-perl
  Version         : 0.46
  Upstream Author : Chris Williams <chris@bingosnet.co.uk>
* URL             : https://metacpan.org/release/Object-Accessor
* License         : Perl
  Programming Lang: Perl
  Description     : interface to create per object accessors

Object::Accessor provides an interface to create per object accessors (as
opposed to per Class accessors, as, for example, Class::Accessor provides).
You can choose to either subclass this module, and thus using its accessors
on your own module, or to store an Object::Accessor object inside your own
object, and access the accessors from there. See the SYNOPSIS for examples.

This module is being deprecated from the perl base distribution in
5.18.0, so it is planned to package it separately to provide continuity.        The perl 5.18 packages will depend on, recommend or suggest deprecated          modules for one release cycle, as appropriate.



Added indication that bug 707981 blocks 702096 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 12 May 2013 12:54:15 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 19 May 2013 21:30:34 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Fri, 31 May 2013 10:03:36 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Fri, 31 May 2013 10:03:36 GMT) Full text and rfc822 format available.

Message #14 received at 707981-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 707981-close@bugs.debian.org
Subject: Bug#707981: fixed in libobject-accessor-perl 0.46-1
Date: Fri, 31 May 2013 10:02:23 +0000
Source: libobject-accessor-perl
Source-Version: 0.46-1

We believe that the bug you reported is fixed in the latest version of
libobject-accessor-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 707981@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libobject-accessor-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 20 May 2013 20:41:11 +0200
Source: libobject-accessor-perl
Binary: libobject-accessor-perl
Architecture: source all
Version: 0.46-1
Distribution: experimental
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libobject-accessor-perl - interface to create per object accessors
Closes: 707981
Changes: 
 libobject-accessor-perl (0.46-1) experimental; urgency=low
 .
   * Initial Release. (Closes: #707981)
Checksums-Sha1: 
 127e1094cde7d9f4865694067554ad8bd963d5e6 2131 libobject-accessor-perl_0.46-1.dsc
 642658641c1a110bb33699859a7509b9f442d989 13177 libobject-accessor-perl_0.46.orig.tar.gz
 3b5e0bf1d8de3e3677a43ab04cfe657de7f56616 1427 libobject-accessor-perl_0.46-1.debian.tar.gz
 ae0cd18f4f5605d75f49d77759566e4af6d4d308 17608 libobject-accessor-perl_0.46-1_all.deb
Checksums-Sha256: 
 53799381e4cbe90138e460d0b52bb954b54fff2b564a729e1c986ea302a2907e 2131 libobject-accessor-perl_0.46-1.dsc
 7796ed15bfdfa45424de36664a4c47ea88805b1b92c52a4a4b73f0e338adf0ae 13177 libobject-accessor-perl_0.46.orig.tar.gz
 6ad151589a6f9ffd1d883fb38f254dd2c31706ee8c58561c02ef9bfca40f8892 1427 libobject-accessor-perl_0.46-1.debian.tar.gz
 2f6e51a7390c993cf2663c48a61b55676ce0c331754200396d704903d7fa93e6 17608 libobject-accessor-perl_0.46-1_all.deb
Files: 
 86b85fe90e3ae71c8d0c764c1826d49c 2131 perl optional libobject-accessor-perl_0.46-1.dsc
 0107355d273ba64d0e2ca6028eaf5ccd 13177 perl optional libobject-accessor-perl_0.46.orig.tar.gz
 34fb524d14f66d1030df7b8d6119cef8 1427 perl optional libobject-accessor-perl_0.46-1.debian.tar.gz
 038b6dddef44390a3840df2c85f9fdcc 17608 perl optional libobject-accessor-perl_0.46-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRmm5jAAoJELs6aAGGSaoGP+AQAIHV7b2QcXk0VGnCNTuKOwDO
1z0Sl42g6rPV2SWMEI9RPnIG3ZA1idPvevQw0S3k4T+E2TOOctua+wXdhlPjiaB/
Wz/d0NX0L+BGOI3t9mGYN0js8KFG8F4sKjpQn3ISpr0wLAySl7yeGL0F4oPL36Fm
2+Xey3u7RMrVQ25eGS02LE26Uq+OqAVHq6gfo/W/5s15nuhUMOnm5I8c+oLGzrtV
D8co2FvCzKM5PAbcnLZbuLim0hinUKhrXOqYnLSZQt20vBHEwcle/Qevt1MRajDf
AkavZQiz8wzzU/tKnRYsowCoBYPTecDXYDLnjPBF82+KKmhNE395V+x9fIdAvY78
avQ80L4lrfNKfGViNsfpw/r6toSPQjnUMuF6HJbbHYPKGMnnz/bA5QU2/97AJ3Vu
FVaPjuRCDWqbP2yPDL0zOt1uQS0HMkcseieGu0hsfFUuc2toesMKA35e8ry9DnYS
joeJPu6FhhMKr06E+fiwWDx6Edv1Q1CrnlX6PfCueWGIzgEXOW7eJvws+Lp9PwSV
tJKFfXW5eRr8MvdhlaV84s9f91MiDxdryJlN69JfD1Q+1YdgK/Lrbm/Hc9kA4Fj4
syxD2iJLcluLt5y9sYTA3CjoPqzeLKruZZiTa0g9pK0zO1nGvcehCwzro1pdOLMb
u6di0MhyHjVbqYfoavwc
=urVw
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Jun 2013 07:40:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:24:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.